html {
  box-sizing: border-box;
}
html, body {
  height: 100%;
}
*, *:before, *:after {
  box-sizing: inherit;
}

body{
  font-family: Lato, Helvetica, Arial, sans-serif;
  font-size: 22px;
  line-height: 1.5;
  margin: 0;
}

img, video, object{ max-width: 100% }

article, header, nav, section {
    display: block;
}

/* Layout
================================ */

/*.wrap{
  margin: 60px auto;
  max-width: 1200px;
  overflow: hidden;
  width: 90%;
}*/

.primary-header{
  float: right;
  width: 30%
}

@media only screen and (max-width: 1085px){
  body{
    font-size: 16px;
  }

  .wrap{
    margin: 15px auto;
  }

  .primary-header,  .content{
    float: none;
    width: auto;
  }

}

/* Text
================================ */

a{
  color: #0091e5;
  text-decoration: none;
}

/* Header */

.primary-header{
  font-size: 0.85em;
}

.site-title{ font-size: 1.2em; }

.page-menu {
  margin: 0 0 30px;
  padding: 0;
}

.page-menu li{
  border-top: 1px dotted #d4d7d9;
  margin: 0.5em 0 0;
  padding: 0.5em 0 0;
  list-style: none;
}

.is-current-page{
  color: #999;
  pointer-events: none;
}

/* Content */

.content-title{
  font-size: 2.4em;
  line-height: 1.3;
  margin: 0 0 0.5em;
}

.post-preview{
  border-top: 1px dotted #d4d7d9;
  /*margin: 1em 0 0;
  padding: 1em 0 0;*/
}

.subpage-menu a{
  display: inline-block;
  margin-right: 15px;
}
/* I got 99 problems, but this last line ain't one */



.content.portfolio {
  background-image: url(http://subtlepatterns.com/patterns/bright_squares.png);
  margin-top: 60px;
  overflow: auto;
}

.content.piece {
  margin-top: 60px;
  min-height: 100%;
  position: relative;
}

.content.blog {
  margin-top: 60px;  
}


/* Nav */

nav.ui.inverted.menu a.item:hover {
  /*rgba(255,255,255,.1)*/
}

nav.ui.menu .item, nav.ui.menu .item * {
  transition: max-width ease 0.2s, width ease 0.2s;
}

nav.ui.menu .item {
  transition: background ease .2s;
}

nav.ui.menu .item:after {
  transition: opacity ease .5s, padding ease .6s;
}

nav.ui.menu .item {
  height: 60px;
  min-width: 60px;
  padding: 0 .95em;
  position: relative;
  overflow: hidden;
  text-transform: uppercase;
}

nav.ui.menu .item .icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  vertical-align: sub;
}

nav.ui.menu .item[href="/"], nav.ui.menu .item[href="/https/irunbackwards.com/labs"], nav.ui.menu .item[href="https://twitter.com/typelife"], nav.ui.menu .item[href="https://github.com/nhodges"] {
  max-width: 60px;
}

nav.ui.menu .item[href="/"]:after {
  content: "Home";
  height: 60px;
  line-height: 60px;
  padding: 0;
  font-size: 18px;
  opacity: 0;
}

nav.ui.menu .item[href="/"]:hover {
  max-width: 125px;
}

nav.ui.menu .item[href="/"]:hover:after {
  opacity: 1;
  padding: 0 0 0 45px;
}

nav.ui.menu .item[href="/https/irunbackwards.com/labs"]:after {
  content: "Labs";
  height: 60px;
  line-height: 60px;
  padding: 0;
  font-size: 18px;
  opacity: 0;
}

nav.ui.menu .item[href="/https/irunbackwards.com/labs"]:hover {
  max-width: 125px;
}

nav.ui.menu .item[href="/https/irunbackwards.com/labs"]:hover:after {
  opacity: 1;
  padding: 0 0 0 45px;
}

nav.ui.menu .item[href="https://twitter.com/typelife"]:after {
  content: "Twitter";
  height: 60px;
  line-height: 60px;
  padding: 0;
  font-size: 18px;
  opacity: 0;
}

nav.ui.menu .item[href="https://twitter.com/typelife"]:hover {
  background: rgba(85, 172, 238, .7);
  max-width: 150px;
}

nav.ui.menu .item[href="https://twitter.com/typelife"]:hover:after {
  opacity: 1;
  padding: 0 0 0 45px;
}

nav.ui.menu .item[href="https://github.com/nhodges"]:after {
  content: "Github";
  height: 60px;
  line-height: 60px;
  padding: 0;
  font-size: 18px;
  opacity: 0;
}

nav.ui.menu .item[href="https://github.com/nhodges"]:hover {
  max-width: 150px;
}

nav.ui.menu .item[href="https://github.com/nhodges"]:hover:after {
  opacity: 1;
  padding: 0 0 0 45px;
}

/* Index */

.post-tile {
  background-repeat: no-repeat;
  background-size: cover;
  display: block;
  float: left;
  overflow: hidden;
  padding: 20px;
  position: relative;
}

  @media (min-width:960px) {
    .post-tile {
      height: 25vw;
      width: 25vw;
    }
  }
  @media (min-width:768px) and (max-width: 959px) {
    .post-tile {
      height: calc(100vw / 3);
      width: calc(100vw / 3);
    }
  }
  @media (max-width:767px) {
    .post-tile {
      height: 50vw;
      width: 50vw;
    }
  }

.post-tile:hover::after {
  background-color: rgba(0, 0, 0, .2);
  bottom: 0;
  content: "\00a0";
  display: block;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 2;
}

.post-title {
  color: #fff;
  display: block;
  font-size: 2vw;
  font-weight: 900;
  position: relative;
  text-shadow: #222 1px 1px 1px;
  z-index: 3;
}

.post-via {
  color: #eee;
  display: block;
  font-size: 1vw;
  position: relative;
  text-shadow: #222 1px 1px 1px;
  z-index: 3;
}

/* Piece */

.content-main {
  padding: 25px;
  width: 75%;
}

.content-sidebar {
  background-color: #333;
  color: #fff;
  height: auto;
  min-height: 100vh;
  padding: 25px;
  position: absolute;
  right: 0;
  top: 0;
  width: 25%;
  z-index: 5;
}

.content-sidebar img {
  display: block;
  margin-bottom: 25px;
  max-width: 100%;
}

/* Blog */

.content.blog .posts {
  padding: 20px;
}

.content.blog .content-sidebar ul {
  margin: 0;
  padding: 0;
}

.content.blog .content-sidebar ul li {
  display: block;
  float: left;
  list-style-type: none;
  padding: 0;
  width: 25%;
}

.content.blog .content-sidebar .shots .shots--shot img  {
  display: block;
  margin-bottom: 0;
}
